## org.apache.poi.ss.formula
Interface EvaluationCell

    public interface EvaluationCell

Abstracts a cell for the purpose of formula evaluation. This interface represents both formula and non-formula cells.
For POI internal use only

Author:
  Josh Micich

Method Summary
`boolean` `getBooleanCellValue()`
`int` `getCachedFormulaResultType()`
`int` `getCellType()`
`int` `getColumnIndex()`
`int` `getErrorCellValue()`
`java.lang.Object` `getIdentityKey()`
`double` `getNumericCellValue()`
`int` `getRowIndex()`
`EvaluationSheet` `getSheet()`
`java.lang.String` `getStringCellValue()`

Method Detail

### getIdentityKey

    java.lang.Object getIdentityKey()

  Returns:
    an Object that identifies the underlying cell, suitable for use as a key in a `HashMap`

### getSheet

    EvaluationSheet getSheet()

### getRowIndex

    int getRowIndex()

### getColumnIndex

    int getColumnIndex()

### getCellType

    int getCellType()

### getNumericCellValue

    double getNumericCellValue()

### getStringCellValue

    java.lang.String getStringCellValue()

### getBooleanCellValue

    boolean getBooleanCellValue()

### getErrorCellValue

    int getErrorCellValue()

### getCachedFormulaResultType

    int getCachedFormulaResultType()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.